.sshinit: &sshinit
  - 'which ssh-agent || ( apt install -y openssh-client )'
  - 'mkdir -p -m 0700 ~/.ssh'
  - 'echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
  - 'ssh-keyscan gitlab.com >> ~/.ssh/known_hosts'
  - 'eval $(ssh-agent -s)'
  - 'echo "$SSH_KEY" | base64 -d | ssh-add - > /dev/null'

image: node:14
variables:
  APP: "logger"
  SSH_KEY: ${SSH_S2M_DEPLOY_PRIVATE_KEY}
  GIT_AUTHOR_NAME: '$GITLAB_USER_LOGIN'
  EMAIL: '$GITLAB_USER_LOGIN@epam.com'
build:licenses:
  rules:
  - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
    when: on_success
  before_script:
    - *sshinit
    - npm i
    - git clone git@gitlab.com:set2meet/licenses.git license-repo
  script:
    - npx license-report > ${APP}.json
    - chmod +x dev/ci/license-save.sh && dev/ci/license-save.sh "${APP}.json" "license-repo"
